package com.awt;

/**
 * Defines commonly used constants for directions and positions.
 */

public interface Direction {
	public final static int CENTER = 0;
	public final static int NORTH = 1;
	public final static int NORTHEAST = 2;
	public final static int EAST = 3;
	public final static int SOUTHEAST = 4;
	public final static int SOUTH = 5;
	public final static int SOUTHWEST = 6;
	public final static int WEST = 7;
	public final static int NORTHWEST = 8;

	public final static int LEFT = WEST;
	public final static int RIGHT = EAST;
	public final static int TOP	= NORTH;
	public final static int BOTTOM = SOUTH;
	public final static int UP	= NORTH;
	public final static int DOWN = SOUTH;
}

