package com.awt;

import java.awt.*;

public class GridBagLayoutConstraint extends GridBagConstraints 
{	
	private static final long serialVersionUID = 1L;

	public GridBagLayoutConstraint(int location, int gridx, int gridy, Insets ins)
	{
		super();
		this.anchor = location;
		this.fill = GridBagConstraints.NONE;
		this.gridheight = this.gridwidth = 1;
		this.gridx = gridx;
		this.gridy = gridy;
		this.insets = ins;
		this.weightx = this.weighty = 0.0;
	}	
}
	
